Package org.apache.sling.feature.cpconverter.vltpkg

## Class RecollectorVaultPackageScanner

- java.lang.Object
- - org.apache.sling.feature.cpconverter.vltpkg.BaseVaultPackageScanner
  - - org.apache.sling.feature.cpconverter.vltpkg.RecollectorVaultPackageScanner

    public final class RecollectorVaultPackageScanner
    extends BaseVaultPackageScanner

### Field Summary

### Fields inherited from class org.apache.sling.feature.cpconverter.vltpkg.BaseVaultPackageScanner

`logger, packageManager, strictValidation`

### Constructor Summary

Constructors
`RecollectorVaultPackageScanner​(@NotNull ContentPackage2FeatureModelConverter converter, @NotNull org.apache.jackrabbit.vault.packaging.PackageManager packageManager, boolean strictValidation, @NotNull Map<org.apache.jackrabbit.vault.packaging.PackageId,​String> subContentPackages, ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onFile​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, String runMode)`

### Methods inherited from class org.apache.sling.feature.cpconverter.vltpkg.BaseVaultPackageScanner

`addCdnPattern, onDirectory, open, traverse, traverse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecollectorVaultPackageScanner

    public RecollectorVaultPackageScanner​(@NotNull
                                          @NotNull ContentPackage2FeatureModelConverter converter,
                                          @NotNull
                                          @NotNull org.apache.jackrabbit.vault.packaging.PackageManager packageManager,
                                          boolean strictValidation,
                                          @NotNull
                                          @NotNull Map<org.apache.jackrabbit.vault.packaging.PackageId,​String> subContentPackages,
                                          @NotNull
                                          ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy)

### Method Detail

#### onFile

    protected void onFile​(@NotNull
                          @NotNull String path,
                          @NotNull
                          @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                          @NotNull
                          @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                          String runMode)
                   throws IOException,
                          ConverterException

Overrides:
  `onFile` in class `BaseVaultPackageScanner`
Throws:
  `IOException`
  `ConverterException`